# Class PrintQuality

java.lang.Object
javax.print.attribute.EnumSyntax
javax.print.attribute.standard.PrintQuality

All Implemented Interfaces:
  `Serializable, Cloneable, Attribute, DocAttribute, PrintJobAttribute, PrintRequestAttribute`

public class PrintQuality extends EnumSyntax implements DocAttribute, PrintRequestAttribute, PrintJobAttribute
Class `PrintQuality` is a printing attribute class, an enumeration, that specifies the print quality that the printer uses for the job.

IPP Compatibility: The category name returned by `getName()` is the IPP attribute name. The enumeration's integer value is the IPP enum value. The `toString()` method returns the IPP string representation of the attribute value.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PrintQuality`
  `DRAFT`
  Lowest quality available on the printer.
  `static final PrintQuality`
  `HIGH`
  Highest quality available on the printer.
  `static final PrintQuality`
  `NORMAL`
  Normal or intermediate quality on the printer.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PrintQuality(int value)`
  Construct a new print quality enumeration value with the given integer value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Class<? extends Attribute>`
  `getCategory()`
  Get the printing attribute class which is to be used as the "category" for this printing attribute value.
  `protected EnumSyntax[]`
  `getEnumValueTable()`
  Returns the enumeration value table for class `PrintQuality`.
  `final String`
  `getName()`
  Get the name of the category of which this attribute value is an instance.
  `protected int`
  `getOffset()`
  Returns the lowest integer value used by class `PrintQuality`.
  `protected String[]`
  `getStringTable()`
  Returns the string table for class `PrintQuality`.

  ### Methods declared in class EnumSyntax

  `clone, getValue, hashCode, readResolve, toString`

  ### Methods declared in class Object

  `equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DRAFT

    public static final PrintQuality DRAFT
    Lowest quality available on the printer.

  - ### NORMAL

    public static final PrintQuality NORMAL
    Normal or intermediate quality on the printer.

  - ### HIGH

    public static final PrintQuality HIGH
    Highest quality available on the printer.

- ## Constructor Details

  - ### PrintQuality

    protected PrintQuality(int value)
    Construct a new print quality enumeration value with the given integer value.
    Parameters:
      `value` - Integer value

- ## Method Details

  - ### getStringTable

    protected String[] getStringTable()
    Returns the string table for class `PrintQuality`.
    Overrides:
      `getStringTable` in class `EnumSyntax`
    Returns:
      the string table

  - ### getEnumValueTable

    protected EnumSyntax[] getEnumValueTable()
    Returns the enumeration value table for class `PrintQuality`.
    Overrides:
      `getEnumValueTable` in class `EnumSyntax`
    Returns:
      the value table

  - ### getOffset

    protected int getOffset()
    Returns the lowest integer value used by class `PrintQuality`.
    Overrides:
      `getOffset` in class `EnumSyntax`
    Returns:
      the offset of the lowest enumeration value

  - ### getCategory

    public final Class<? extends Attribute> getCategory()
    Get the printing attribute class which is to be used as the "category" for this printing attribute value.

    For class `PrintQuality` and any vendor-defined subclasses, the category is class `PrintQuality` itself.

    Specified by:
      `getCategory` in interface `Attribute`
    Returns:
      printing attribute class (category), an instance of class `java.lang.Class`

  - ### getName

    public final String getName()
    Get the name of the category of which this attribute value is an instance.

    For class `PrintQuality` and any vendor-defined subclasses, the category name is `"print-quality"`.

    Specified by:
      `getName` in interface `Attribute`
    Returns:
      attribute category name